@using Jones.AspNetCore.Bootstrap.Extensions
@inherits Jones.AspNetCore.Components.Forms.FilesInputBase

<div class="row g-3">
    @if (LabelContent != null)
    {
        @LabelContent
    }

    @foreach (var file in Files)
    {
        <div class="col-auto">
            <div class="input-file-selected-container">
                <div class="input-file-preview-container">
                    @if (file.IsImage())
                    {
                        <img src="@file.GetImageSrc()" alt="预览" />
                    }
                    else
                    {
                        <i class="@file.PreviewFromBootstrapIcons()"></i>
                    }
                </div>
                <i class="bi bi-x-circle-fill text-danger input-file-delete" @onclick="() => Delete(file)"></i>
            </div>
        </div>
    }

    <div class="col-auto @(Files.Length < MaximumFileCount ? null : "d-none")">
        <FileInput OnChange="@OnFilesChange" OnError="OnFilesError" Placeholder="@Placeholder" IsAllowDrop="IsAllowDrop" IsAllowPaste="IsAllowPaste" Accept="@Accept"
                   IsMultiple="IsMultiple" MaxFileSize="MaxFileSize" MaximumFileCount="MaximumFileCount" IsRequired="IsRequired"/>
    </div>
</div>